ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jan Matèrne (jhm) <apa...@materne.de>
Subject AW: AW: [VOTE] Release Ivy 2.5.0 based on RC1
Date Fri, 25 Oct 2019 06:43:33 GMT
> > Just a question: there is a file fr\jayasoft\ivy\ant\antlib.xml which
> seems to be a copy of org\apache\ivy\ant\antlib.xml. Is it for BWC?
> Yes, looks like it.
> https://github.com/apache/ant-ivy/blob/master/build.xml#L263. It was
> done way back in 2007 and I don't think anyone uses that reference
> anymore. After this release, maybe we can stop copying and releasing
> that file.


Done


> >
> > Hello-Ivy-Example:
> > - run with "ant -lib ..\..\..\ivy-2.5.0.jar run"
> > --> Ivy starts
> > --> Ivy vesion 2.5.0
> > --> Problems with downloading the dependencies:
> >
> > [ivy:retrieve]  found commons-lang#commons-lang;2.6 in public
> > [ivy:retrieve] You probably access the destination server through a proxy server
that is not well configured.
> > Another try:
> >   ant -lib ..\..\..\ivy-2.5.0.jar -autoproxy run and that worked.
> 
> I gave this example a try with this released version and it went fine
> without those warnings or errors. I suspect your Ivy cache probably had
> already downloaded the metadata/resources previously using some other
> "resolver"?

Deleted %userprofile%/.ivy2 and it worked without the -autoproxy.


Jan



---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message